Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Class WebModule

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.management.j2ee.J2EEManagedObject
                  org.jboss.management.j2ee.J2EEDeployedObject
                      org.jboss.management.j2ee.J2EEModule
                          org.jboss.management.j2ee.WebModule

All Implemented Interfaces:
  EventProvider, J2EEDeployedObjectMBean, J2EEManagedObjectMBean, J2EEModuleMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Serializable, org.jboss.system.Service, org.jboss.system.ServiceMBean, WebModuleMBean

public class WebModule
extends J2EEModule
implements WebModuleMBean

The JBoss JSR-77.3.16 implementation of the WebModule model

Version:
  $Revision: 1.15.6.1 $
Author:
  Andreas Schaefer., Scott.Stark@jboss.org, thomas.diesler@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.management.j2ee.J2EEDeployedObject
`APPLICATION, CMP, EJB, JAWS, JBOSS, JBOSS_WEB, RAR, SAR, WEB`

Fields inherited from class org.jboss.management.j2ee.J2EEManagedObject
`NAME, TYPE`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`WebModule(String warName, javax.management.ObjectName j2eeAppName, String[] jvms, String webDD, javax.management.ObjectName webContainerName, String jbossWebDD)` Constructor taking the Name of this Object

Method Summary
`void` | `addChild(javax.management.ObjectName pChild)`
`static javax.management.ObjectName` | `create(javax.management.MBeanServer mbeanServer, String earName, String warName, URL pURL, javax.management.ObjectName webContainerName)` Creates the JSR-77 WebModule
`static void` | `destroy(javax.management.MBeanServer mbeanServer, javax.management.ObjectName jsr77Name)` Destroy a JSR-77 WebModule
`String` | `getEventType(int index)` Returns the given Type of Events it emits according to its index in the list
`String[]` | `getEventTypes()`
`String` | `getjbossWebDeploymentDescriptor()`
`protected Hashtable` | `getParentKeys(javax.management.ObjectName jsr77ParentName)` This method can be overwritten by any subclass which must return <parent-j2eeType> indicating its parents.
`String` | `getservlet(int pIndex)`
`String[]` | `getservlets()` Return the associated servlet names as Strings.
`void` | `postCreation()`
`void` | `preDestruction()`
`void` | `removeChild(javax.management.ObjectName pChild)`
`String` | `toString()`

Methods inherited from class org.jboss.management.j2ee.J2EEModule
`getjavaVM, getjavaVMs`

Methods inherited from class org.jboss.management.j2ee.J2EEDeployedObject
`getdeploymentDescriptor, getDeploymentDescriptor, getserver`

Methods inherited from class org.jboss.management.j2ee.J2EEManagedObject
`getobjectName, getObjectName, getObjectName, getparent, getType, getType, iseventProvider, isstateManageable, isstatisticsProvider, newObjectName, postRegister, preDeregister, removeObject, removeObject, sendNotification, setparent`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.management.j2ee.J2EEModuleMBean
`getjavaVM, getjavaVMs`

Methods inherited from interface org.jboss.management.j2ee.J2EEDeployedObjectMBean
`getdeploymentDescriptor, getserver`

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### WebModule

    public WebModule(String warName,
                     javax.management.ObjectName j2eeAppName,
                     String[] jvms,
                     String webDD,
                     javax.management.ObjectName webContainerName,
                     String jbossWebDD)
              throws javax.management.MalformedObjectNameException,
                     InvalidParentException

  Constructor taking the Name of this Object

Parameters:
  `warName` - Name to be set which must not be null
  `j2eeAppName` - the name of the parent JSR77 model component
  `jvms` - the names of the deployment env JVM JSR77 model components
  `webDD` - the web.xml descriptor text
  `webContainerName` - the JBoss web container service name for the war
  `jbossWebDD` - the jboss-web.xml descriptor text

Method Detail

### create

    public static javax.management.ObjectName create(javax.management.MBeanServer mbeanServer,
                                                     String earName,
                                                     String warName,
                                                     URL pURL,
                                                     javax.management.ObjectName webContainerName)

  Creates the JSR-77 WebModule

  Parameters:
    `mbeanServer` - MBeanServer the WebModule is created on
    `earName` - Name of the Application but if null object then it is a standalone module (no EAR wrapper around)
    `warName` - Name of the war
    `pURL` - URL path to the local deployment of the module (where to find the DD file)
    `webContainerName` - the JBoss web container mbean name

### destroy

    public static void destroy(javax.management.MBeanServer mbeanServer,
                               javax.management.ObjectName jsr77Name)

  Destroy a JSR-77 WebModule

  Parameters:
    `mbeanServer` - The JMX MBeanServer the desired WebModule is registered on
    `jsr77Name` - the JSR77 EJBModule component ObjectName

### getservlets

    public String[] getservlets()

  Return the associated servlet names as Strings.

  Specified by:
    `getservlets` in interface `WebModuleMBean`

### getservlet

    public String getservlet(int pIndex)

  Specified by:
    `getservlet` in interface `WebModuleMBean`

### getjbossWebDeploymentDescriptor

    public String getjbossWebDeploymentDescriptor()

  Specified by:
    `getjbossWebDeploymentDescriptor` in interface `WebModuleMBean`

### addChild

    public void addChild(javax.management.ObjectName pChild)

  Specified by:
    `addChild` in interface `WebModuleMBean`
  Overrides:
    `addChild` in class `J2EEManagedObject`

### removeChild

    public void removeChild(javax.management.ObjectName pChild)

  Specified by:
    `removeChild` in interface `WebModuleMBean`
  Overrides:
    `removeChild` in class `J2EEManagedObject`

### getEventTypes

    public String[] getEventTypes()

  Specified by:
    `getEventTypes` in interface `EventProvider`
  Returns:
    The actual list of Types of Events this Managed Object emits. The list is never null nor empty

### getEventType

    public String getEventType(int index)

  Description copied from interface: `EventProvider`
  Returns the given Type of Events it emits according to its index in the list

  Specified by:
    `getEventType` in interface `EventProvider`
  Parameters:
    `index` - Index of the requested Event Type
  Returns:
    Event Type if given Index is within the boundaries otherwise null

### postCreation

    public void postCreation()

  Overrides:
    `postCreation` in class `J2EEManagedObject`

### preDestruction

    public void preDestruction()

  Overrides:
    `preDestruction` in class `J2EEManagedObject`

### toString

    public String toString()

  Overrides:
    `toString` in class `J2EEDeployedObject`

### getParentKeys

    protected Hashtable getParentKeys(javax.management.ObjectName jsr77ParentName)

  Description copied from class: `J2EEManagedObject`
  This method can be overwritten by any subclass which must return <parent-j2eeType> indicating its parents. By default it returns an empty hashtable instance.

  Overrides:
    `getParentKeys` in class `J2EEManagedObject`
  Parameters:
    `jsr77ParentName` - the WebModule parent's JSR77 ObjectName
  Returns:
    A hashtable with the J2EE-Application and J2EE-Server as parent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.